abstract class Brick {
  
  /// Maps each element of elements by predicate
  ///  and joins result list via separator or empty string.
  String forEach<T>(Iterable<T> elements, String predicate(T item),
          {String separator = ''}) =>
      elements.map(predicate).join(separator);

  /// If `condition` is true, then returns `when_true`, else returns `orElse` or ''.
  /// ( All arguments will be calculated. )
  String ifThen( bool condition, String when_true, { String orElse = '' } ) =>
    condition ? when_true : orElse ?? '';
}
